Bug 190033 - CVE-2006-1990 wordwrap integer overflow
CVE-2006-1990 wordwrap integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
source=bugtraq,reported=20060424,publ...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 16:30 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0568
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 14:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-26 16:30:22 EDT
CVE-2006-1990 php multiple issues (CVE-2006-1991)

CVE-2006-1990 - wordwrap integer overflow
An integer overflow issue was discovered in PHP.  This issue could
potentially lead to arbitrary code execution as it allows overwriting
an arbitrary section of memory with user supplied data.  The
exploitability of this issue will depend on how a user program is
written to accept and process data passed to the wordwrap function.

CVE-2006-1991 - substr_compare DoS
It is possible to cause an OOB memory read via an improperly issued
call to the substr_compare function.  The ability to exploit this
issue will depend on how a user program is written to pass invalid
data to the substr_compare function.

http://www.infigo.hr/en/in_focus/advisories/INFIGO-2006-04-02

This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Joe Orton 2006-05-12 05:46:13 EDT
Note that substr_compare() is only present in PHP 5.x releases, so that issue
does not affect RHEL 2.1, 3 or 4.
Comment 4 Red Hat Bugzilla 2006-07-12 14:11:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0568.html

Note You need to log in before you can comment on or make changes to this bug.